package com.ym.mec.biz.dal.page;

import io.swagger.annotations.ApiModelProperty;

import com.ym.mec.common.page.QueryInfo;

public class StudentRegistrationQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "是否允许调剂",required = false)
    private String isAllowAdjust;

    @ApiModelProperty(value = "专业编号",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "实际专业编号",required = false)
    private Integer actualSubjectId;

    @ApiModelProperty(value = "学员缴费状态 0-未开启缴费 1-开启缴费 2-已缴费",required = false)
    private String paymentStatus;

    @ApiModelProperty(value = "学员在读状态",required = false)
    private String studentStatus;

    @ApiModelProperty(value = "用户名或手机号",required = false)
    private String name;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "入学年份",required = false)
    private String createYear;

    @ApiModelProperty(value = "是否已回访",required = false)
    private Boolean visited;

    @ApiModelProperty(value = "缴费中状态 0-正常 1-缴费中 2-审核中",required = false)
    private Integer payingStatus;

    @ApiModelProperty(value = "是否购买云教练 0-没有 1-有",required = false)
    private Integer hasCloudTeacher;

    @ApiModelProperty(value = "是否不需要云教练 0-需要 1-不需要",required = false)
    private Integer noneNeedCloudTeacher;

    private boolean isExport = false;

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getActualSubjectId() {
        return actualSubjectId;
    }

    public void setActualSubjectId(Integer actualSubjectId) {
        this.actualSubjectId = actualSubjectId;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public String getIsAllowAdjust() {
        return isAllowAdjust;
    }

    public void setIsAllowAdjust(String isAllowAdjust) {
        this.isAllowAdjust = isAllowAdjust;
    }

    public String getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(String paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public String getStudentStatus() {
		return studentStatus;
	}

	public void setStudentStatus(String studentStatus) {
		this.studentStatus = studentStatus;
	}

	public String getCreateYear() {
        return createYear;
    }

    public void setCreateYear(String createYear) {
        this.createYear = createYear;
    }

    public String getCurrentGrade() {
        return currentGrade;
    }

    public void setCurrentGrade(String currentGrade) {
        this.currentGrade = currentGrade;
    }

    public Boolean getVisited() {
        return visited;
    }

    public void setVisited(Boolean visited) {
        this.visited = visited;
    }

    public Integer getPayingStatus() {
        return payingStatus;
    }

    public void setPayingStatus(Integer payingStatus) {
        this.payingStatus = payingStatus;
    }

    public Integer getHasCloudTeacher() {
        return hasCloudTeacher;
    }

    public void setHasCloudTeacher(Integer hasCloudTeacher) {
        this.hasCloudTeacher = hasCloudTeacher;
    }

    public Integer getNoneNeedCloudTeacher() {
        return noneNeedCloudTeacher;
    }

    public void setNoneNeedCloudTeacher(Integer noneNeedCloudTeacher) {
        this.noneNeedCloudTeacher = noneNeedCloudTeacher;
    }
}
